babel-preset-es2015-ie-native-modules

    6.6.2 • Public • Published

    babel-preset-es2015-ie-native-modules

    Babel preset for all es2015 plugins that works with IE>=9, without commonjs transform to enable tree shaking

    Install

    $ npm install --save-dev babel-preset-es2015-ie-native-modules

    Usage

    Via .babelrc (Recommended)

    .babelrc

    {
      "presets": ["es2015-ie-native-modules"]
    }

    Via CLI

    $ babel script.js --presets es2015-ie-native-modules

    Via Node API

    require("babel-core").transform("code", {
      presets: ["es2015-ie-native-modules"]
    });

    Install

    npm i babel-preset-es2015-ie-native-modules

    DownloadsWeekly Downloads

    23

    Version

    6.6.2

    License

    MIT

    Last publish

    Collaborators

    • marshallofsound